# Uses of Interface
org.eclipse.jdt.launching.sourcelookup.IJavaSourceLocation

Packages that use IJavaSourceLocation
Package
Description
org.eclipse.jdt.debug.ui
Provides an implementation of a source locator for the Java debug model.
org.eclipse.jdt.launching.sourcelookup
Application programming interfaces and classes for source lookup.

## Uses of IJavaSourceLocation in org.eclipse.jdt.debug.ui

Methods in org.eclipse.jdt.debug.ui that return IJavaSourceLocation
Modifier and Type
Method
Description
`IJavaSourceLocation[]`
JavaUISourceLocator.`getSourceLocations()`
Deprecated.
Returns the locations that this source locator is currently searching, in the order that they are searched.
Methods in org.eclipse.jdt.debug.ui with parameters of type IJavaSourceLocation
Modifier and Type
Method
Description
`void`
JavaUISourceLocator.`setSourceLocations(IJavaSourceLocation[] locations)`
Deprecated.
/** Sets the locations that will be searched, in the order to be searched.

## Uses of IJavaSourceLocation in org.eclipse.jdt.launching.sourcelookup

Classes in org.eclipse.jdt.launching.sourcelookup that implement IJavaSourceLocation
Modifier and Type
Class
Description
`class`
`ArchiveSourceLocation`
Deprecated.
In 3.0, the debug platform provides source lookup facilities that should be used in place of the Java source lookup support provided in 2.0.
`class`
`DirectorySourceLocation`
Deprecated.
In 3.0, the debug platform provides source lookup facilities that should be used in place of the Java source lookup support provided in 2.0.
`class`
`JavaProjectSourceLocation`
Deprecated.
In 3.0, the debug platform provides source lookup facilities that should be used in place of the Java source lookup support provided in 2.0.
`class`
`PackageFragmentRootSourceLocation`
Deprecated.
In 3.0, the debug platform provides source lookup facilities that should be used in place of the Java source lookup support provided in 2.0.
Methods in org.eclipse.jdt.launching.sourcelookup that return IJavaSourceLocation
Modifier and Type
Method
Description
`static IJavaSourceLocation[]`
JavaSourceLocator.`getDefaultSourceLocations(IJavaProject project)`
Deprecated.
Returns a default collection of source locations for the given Java project.
`IJavaSourceLocation[]`
JavaSourceLocator.`getSourceLocations()`
Deprecated.
Returns the locations that this source locator is currently searching, in the order that they are searched.
Methods in org.eclipse.jdt.launching.sourcelookup with parameters of type IJavaSourceLocation
Modifier and Type
Method
Description
`void`
JavaSourceLocator.`setSourceLocations(IJavaSourceLocation[] locations)`
Deprecated.
Sets the locations that will be searched, in the order to be searched.
Constructors in org.eclipse.jdt.launching.sourcelookup with parameters of type IJavaSourceLocation
Modifier
Constructor
Description
``
`JavaSourceLocator(IJavaSourceLocation[] locations)`
Deprecated.
Constructs a new JavaSourceLocator that searches the specified set of source locations for source elements.